var gXMLHttpRequest;

function getTinderboxStatus() {
  gXMLHttpRequest = new XMLHttpRequest();
  gXMLHttpRequest.onload = displayTinderboxStatus;
  gXMLHttpRequest.open("GET", "http://tinderbox.mozilla.org/SeaMonkey/panel.html");
  gXMLHttpRequest.send(null);
  window.setTimeout(getTinderboxStatus, 60000);
}

function displayTinderboxStatus()
{
  // Change the background color of the box depending to reflect build status.
  var box = document.getElementById('tinderstatus-box');
  if (gXMLHttpRequest.responseText.match("EE0000"))
    box.setAttribute("buildstatus", "busted");
  else if (gXMLHttpRequest.responseText.match("FFAA00"))
    box.setAttribute("buildstatus", "testfailed");
  else if (gXMLHttpRequest.responseText.match("11DD11"))
    box.setAttribute("buildstatus", "success");
  else
    box.setAttribute("buildstatus", "");

  // Change the icon superimposed on the box to reflect tree status.
  var icon = document.getElementById('tinderstatus-icon');
  if (gXMLHttpRequest.responseText.match("is open"))
    icon.setAttribute("treestatus", "open");
  else if (gXMLHttpRequest.responseText.match("is closed"))
    icon.setAttribute("treestatus", "closed");
  else
    icon.setAttribute("treestatus", "");
}

// Check the status a second after the browser loads.
window.setTimeout(getTinderboxStatus, 1000);
